Bug 74720 - Installer sets fstab to use lables to mount partition not touched by diskduid.
Summary: Installer sets fstab to use lables to mount partition not touched by diskduid.
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
(Show other bugs)
Version: 8.0
Hardware: athlon Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-10-01 05:19 UTC by Jesse Keating
Modified: 2007-04-18 16:46 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-01-03 07:38:03 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jesse Keating 2002-10-01 05:19:26 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020830

Description of problem:
I have a drive with a partition, that is not labled.  I told diskdruid to not
format the drive, but to mount it to /storage.  After installation, there is a
failure in the boot process, where Red Hat tries to mount the drive with
LABEL=/storage to /storage.  Since I never labled the partition, the mount fails.

Version-Release number of selected component (if applicable):


How reproducible:
Didn't try

Steps to Reproduce:
1.  install Red Hat Linux 8.0 on a system with an unlabled partition that you
will not touch.
2.  set the untouched partition to mount to some mount point.
3.  boot Red Hat Linux 8.0.
	

Actual Results:  partition will fail to mount, due to not having a label.

Expected Results:  the drive will be mounted based on it's /dev/ entry.

Additional info:

Comment 1 Jeremy Katz 2002-10-02 22:17:14 UTC
We should be labeling the partition as part of the install process even if its
not being formatted -- works here for me. 

What does '/sbin/tune2fs -L /dev/hdaX' or whatever the partition in question is
show?

Comment 2 Jesse Keating 2002-10-02 22:28:05 UTC
'/sbin/tune2fs -L /dev/hdaX' returns a useage statement, but e2label /dev/hdb4
returns a blank line, indicating that there is no lable on the partition.

I can't say that I agree with labeling my partition, if I ask the installer not
to touch the drive.  I would fine this quite annoying.

Comment 3 Jeremy Katz 2002-10-25 20:34:22 UTC
Labelling all partitions is the only real right answer; otherwise, people have
problems when they start moving drives around.  By saying to mount it, you are
saying to touch it at least minimally, just that it shouldn't be reformatted  --
filesystems with an existing label will keep their old label.  

Unfortunately I can't reproduce the problem here, either.  Is this reproducible
for you?

Comment 4 Jeremy Katz 2003-01-03 07:38:03 UTC
Closing due to inactivity.  If you have any further information to add to this
bug, please feel free to reopen it.


Note You need to log in before you can comment on or make changes to this bug.